org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Enum CheckpointEntryType

- java.lang.Object
- - java.lang.Enum<CheckpointEntryType>
  - - org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointEntryType

All Implemented Interfaces:
  Serializable, Comparable<CheckpointEntryType>

    public enum CheckpointEntryType
    extends Enum<CheckpointEntryType>

Checkpoint entry types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`END`
`START`

### Method Summary

All Methods Static Methods Concrete Methods
`static CheckpointEntryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckpointEntryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final CheckpointEntryType START

#### END

    public static final CheckpointEntryType END

### Method Detail

#### values

    public static CheckpointEntryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckpointEntryType c : CheckpointEntryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckpointEntryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021